OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
IndustryTileScopeResolver Struct Reference

Resolver for the industry tiles scope. More...

`#include <newgrf_industrytiles.h>`

Inheritance diagram for IndustryTileScopeResolver:

## Public Member Functions
| IndustryTileScopeResolver (ResolverObject &ro, Industry *industry, TileIndex tile)
| Constructor of the scope resolver for the industry tile.
uint32 | GetRandomBits () const
| Get a few random bits.
uint32 | GetVariable (byte variable, uint32 parameter, bool *available) const
| Get a variable value.
uint32 | GetTriggers () const
| Get the triggers.
void | SetTriggers (int triggers) const
| Set the triggers.
Public Member Functions inherited from ScopeResolver
| ScopeResolver (ResolverObject &ro)
virtual void | StorePSA (uint reg, int32 value)
| Store a value into the persistent storage area (PSA).

## Data Fields
Industry * | industry
| Industry owning the tiles.
TileIndex | tile
| Tile being resolved.
Data Fields inherited from ScopeResolver
ResolverObject & | ro
| Surrounding resolver object.

## Detailed Description

Resolver for the industry tiles scope.

Definition at line 20 of file newgrf_industrytiles.h.

## Constructor & Destructor Documentation

IndustryTileScopeResolver::IndustryTileScopeResolver | ( | ResolverObject & | ro,
|  | Industry * | industry,
|  | TileIndex | tile
| ) |  |

Constructor of the scope resolver for the industry tile.

Parameters

  ro | Surrounding resolver.
  industry | Industry owning the tile.
  tile | Tile of the industry.

Definition at line 161 of file newgrf_industrytiles.cpp.

References industry, and tile.

## Member Function Documentation

uint32 IndustryTileScopeResolver::GetRandomBits | ( |  | ) | const
| virtual

Get a few random bits.

Default implementation has no random bits.

Returns
  Random bits.

Reimplemented from ScopeResolver.

Definition at line 104 of file newgrf_industrytiles.cpp.

References GetIndustryRandomBits(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, industry, IsTileType(), IsValidTile(), MP_INDUSTRY, and tile.

uint32 IndustryTileScopeResolver::GetTriggers | ( |  | ) | const
| virtual

Get the triggers.

Base class returns `0` to prevent trouble.

Returns
  The triggers.

Reimplemented from ScopeResolver.

Definition at line 112 of file newgrf_industrytiles.cpp.

References GetIndustryTriggers(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, industry, IsTileType(), IsValidTile(), MP_INDUSTRY, and tile.

uint32 IndustryTileScopeResolver::GetVariable | ( | byte | variable,
|  | uint32 | parameter,
|  | bool * | available
| ) |  | const
| virtual

Get a variable value.

Default implementation has no available variables.

Parameters

  | variable | Variable to read
  | parameter | Parameter for 60+x variables
  [out] | available | Set to false, in case the variable does not exist.

Returns
  Value

Reimplemented from ScopeResolver.

Definition at line 63 of file newgrf_industrytiles.cpp.

References ClosestTownFromTile(), DEBUG, GetAnimationFrame(), Industry::GetByTile(), GetIndustryConstructionStage(), GetIndustryIDAtOffset(), GetNearbyIndustryTileInformation(), GetNearbyTile(), GetRelativePosition(), GetTerrainType(), GetTownRadiusGroup(), ResolverObject::grffile, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, industry, IsTileType(), Industry::location, MP_INDUSTRY, ScopeResolver::ro, OrthogonalTileArea::tile, and tile.

void IndustryTileScopeResolver::SetTriggers | ( | int | triggers | ) | const
| virtual

Set the triggers.

Base class implementation does nothing.

Parameters

  triggers | Triggers to set.

Reimplemented from ScopeResolver.

Definition at line 120 of file newgrf_industrytiles.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, industry, IsTileType(), IsValidTile(), MP_INDUSTRY, SetIndustryTriggers(), and tile.

The documentation for this struct was generated from the following files:

- src/newgrf_industrytiles.h
- src/newgrf_industrytiles.cpp